CallSiteGenerator (Groovy 2.5.0)
Date: 2018-05-27

org.codehaus.groovy.runtime.callsite

## Class CallSiteGenerator

- java.lang.Object
- - org.codehaus.groovy.runtime.callsite.CallSiteGenerator

-     public class CallSiteGenerator
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.reflect.Constructor` | `compilePogoMethod(CachedMethod cachedMethod)`
    `static java.lang.reflect.Constructor` | `compilePojoMethod(CachedMethod cachedMethod)`
    `static java.lang.reflect.Constructor` | `compileStaticMethod(CachedMethod cachedMethod)`
    `static void` | `genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, java.lang.String name, java.lang.String superClass, CachedMethod cachedMethod, java.lang.String receiverType)`
    `static void` | `genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, java.lang.String name, java.lang.String superClass, CachedMethod cachedMethod, java.lang.String receiverType)`
    `static byte[]` | `genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)`
    `static byte[]` | `genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)`
    `static byte[]` | `genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)`
    `static boolean` | `isCompilable(CachedMethod method)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### genCallWithFixedParams

          public static void genCallWithFixedParams(org.objectweb.asm.ClassWriter cw,
                                                    java.lang.String name,
                                                    java.lang.String superClass,
                                                    CachedMethod cachedMethod,
                                                    java.lang.String receiverType)

    - #### genCallXxxWithArray

          public static void genCallXxxWithArray(org.objectweb.asm.ClassWriter cw,
                                                 java.lang.String name,
                                                 java.lang.String superClass,
                                                 CachedMethod cachedMethod,
                                                 java.lang.String receiverType)

    - #### genPogoMetaMethodSite

          public static byte[] genPogoMetaMethodSite(CachedMethod cachedMethod,
                                                     org.objectweb.asm.ClassWriter cw,
                                                     java.lang.String name)

    - #### genPojoMetaMethodSite

          public static byte[] genPojoMetaMethodSite(CachedMethod cachedMethod,
                                                     org.objectweb.asm.ClassWriter cw,
                                                     java.lang.String name)

    - #### genStaticMetaMethodSite

          public static byte[] genStaticMetaMethodSite(CachedMethod cachedMethod,
                                                       org.objectweb.asm.ClassWriter cw,
                                                       java.lang.String name)

    - #### compilePogoMethod

          public static java.lang.reflect.Constructor compilePogoMethod(CachedMethod cachedMethod)

    - #### compilePojoMethod

          public static java.lang.reflect.Constructor compilePojoMethod(CachedMethod cachedMethod)

    - #### compileStaticMethod

          public static java.lang.reflect.Constructor compileStaticMethod(CachedMethod cachedMethod)

    - #### isCompilable

          public static boolean isCompilable(CachedMethod method)